Subject: bug#50244: 28.0.50; Support project-wide diagnostics reports in flymake.el

From: Dmitry Gutov <[email-masked]>
Date: Mon, 13 Sep 2021 03:08:07 +0300

Hi!

On 11.09.2021 04:08, João Távora wrote:
> - For LSP, likely "list-only diagnostics" should be used.  So basically
>    Eglot will soon learn to tell Flymake about the "list-only
>    diagnostics" that it receives from some LSP servers.  Once that is
>    done, M-x flymake-show-project-diagnostics should ideally do most
>    things that Theodor wants.

Does this account for the case of multiple projects?

Like, the user might switch between two windows which show buffers from 
different projects (both, say, are backed by LSP), and they would 
probably want to see the "global" error list (displayed in a third 
window) change right away.

Or maybe you will have unique "show diagnostics" buffers for every 
project, to be invoked manually?